%define ocamlname variantslib

Name:           ocaml-%{ocamlname}
Version:        0.10.0
Release:        1%{?dist}.emp1
Summary:        Part of Jane Street's Core library
License:        Apache-2.0
URL:            https://github.com/janestreet/%{ocamlname}
Source0:        %{ocamlname}-v%{version}.tar.gz

Requires:       ocaml >= 4.04.1
Requires:       ocaml-base >= 0.10
Requires:       ocaml-base < 0.11
Requires:       ocaml-ppx_driver >= 0.10
Requires:       ocaml-ppx_driver < 0.11
Requires: 	ocaml-ocaml-migrate-parsetree >= 0.4

BuildRequires:  ocaml >= 4.04.1
BuildRequires:  opam-installer >= 2.0
BuildRequires:  jbuilder
BuildRequires:  ocaml-base-devel >= 0.10
BuildRequires:  ocaml-base-devel < 0.11
BuildRequires:  ocaml-ppx_driver-devel >= 0.10
BuildRequires:  ocaml-ppx_driver-devel < 0.11
BuildRequires: 	ocaml-ocaml-migrate-parsetree-devel >= 0.4

%description
The Core suite of libraries is an industrial strength alternative to
OCaml's standard library that was developed by Jane Street, the
largest industrial user of OCaml.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-base-devel >= 0.10
Requires:       ocaml-base-devel < 0.11
Requires:       ocaml-ppx_driver-devel >= 0.10
Requires:       ocaml-ppx_driver-devel < 0.11
Requires: 	ocaml-ocaml-migrate-parsetree-devel >= 0.4

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{ocamlname}-v%{version}

%build
jbuilder build  -p %{ocamlname} %{?_smp_mflags}

%install
opam-installer \
	--prefix=%{buildroot}/%{_libdir}/ocaml \
	--libdir=%{buildroot}/%{_libdir}/ocaml \
	%{ocamlname}.install

%files
%doc %{_libdir}/ocaml/doc/%{ocamlname}/LICENSE.txt
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif

%files devel
%doc %{_libdir}/ocaml/doc/%{ocamlname}/CHANGES.md
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif

